package com.test.util;

import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.time.temporal.ChronoUnit;

@Component
public class DateTimeUtils {
    public static int calculateNights(LocalDateTime startTime, LocalDateTime endTime) {
        long days = ChronoUnit.DAYS.between(startTime.toLocalDate(), endTime.toLocalDate()); // 计算相差的天数
        long nights = days; // 初始化相差的晚数

        // 如果结束时间的小时小于开始时间的小时，则需要减去一天
        if (endTime.getHour() < startTime.getHour()) {
            nights--;
        }

        return (int) nights;
    }
}
